<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!--NewPage-->
<HTML>
<HEAD>
<!-- Generated by javadoc (build 1.6.0_35) on Sat Aug 03 14:01:01 PDT 2013 -->
<TITLE>
Uses of Interface com.theuberlab.njord.plugin.interfaces.NjordPluggable
</TITLE>

<META NAME="date" CONTENT="2013-08-03">

<LINK REL ="stylesheet" TYPE="text/css" HREF="../../../../../../stylesheet.css" TITLE="Style">

<SCRIPT type="text/javascript">
function windowTitle()
{
    if (location.href.indexOf('is-external=true') == -1) {
        parent.document.title="Uses of Interface com.theuberlab.njord.plugin.interfaces.NjordPluggable";
    }
}
</SCRIPT>
<NOSCRIPT>
</NOSCRIPT>

</HEAD>

<BODY BGCOLOR="white" onload="windowTitle();">
<HR>


<!-- ========= START OF TOP NAVBAR ======= -->
<A NAME="navbar_top"><!-- --></A>
<A HREF="#skip-navbar_top" title="Skip navigation links"></A>
<TABLE BORDER="0" WIDTH="100%" CELLPADDING="1" CELLSPACING="0" SUMMARY="">
<TR>
<TD COLSPAN=2 BGCOLOR="#EEEEFF" CLASS="NavBarCell1">
<A NAME="navbar_top_firstrow"><!-- --></A>
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="3" SUMMARY="">
  <TR ALIGN="center" VALIGN="top">
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../../overview-summary.html"><FONT CLASS="NavBarFont1"><B>Overview</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../package-summary.html"><FONT CLASS="NavBarFont1"><B>Package</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../../com/theuberlab/njord/plugin/interfaces/NjordPluggable.html" title="interface in com.theuberlab.njord.plugin.interfaces"><FONT CLASS="NavBarFont1"><B>Class</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#FFFFFF" CLASS="NavBarCell1Rev"> &nbsp;<FONT CLASS="NavBarFont1Rev"><B>Use</B></FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../package-tree.html"><FONT CLASS="NavBarFont1"><B>Tree</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../../deprecated-list.html"><FONT CLASS="NavBarFont1"><B>Deprecated</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../../index-files/index-1.html"><FONT CLASS="NavBarFont1"><B>Index</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../../help-doc.html"><FONT CLASS="NavBarFont1"><B>Help</B></FONT></A>&nbsp;</TD>
  </TR>
</TABLE>
</TD>
<TD ALIGN="right" VALIGN="top" ROWSPAN=3><EM>
</EM>
</TD>
</TR>

<TR>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
&nbsp;PREV&nbsp;
&nbsp;NEXT</FONT></TD>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
  <A HREF="../../../../../../index.html?com/theuberlab/njord/plugin/interfaces/\class-useNjordPluggable.html" target="_top"><B>FRAMES</B></A>  &nbsp;
&nbsp;<A HREF="NjordPluggable.html" target="_top"><B>NO FRAMES</B></A>  &nbsp;
&nbsp;<SCRIPT type="text/javascript">
  <!--
  if(window==top) {
    document.writeln('<A HREF="../../../../../../allclasses-noframe.html"><B>All Classes</B></A>');
  }
  //-->
</SCRIPT>
<NOSCRIPT>
  <A HREF="../../../../../../allclasses-noframe.html"><B>All Classes</B></A>
</NOSCRIPT>


</FONT></TD>
</TR>
</TABLE>
<A NAME="skip-navbar_top"></A>
<!-- ========= END OF TOP NAVBAR ========= -->

<HR>
<CENTER>
<H2>
<B>Uses of Interface<br>com.theuberlab.njord.plugin.interfaces.NjordPluggable</B></H2>
</CENTER>

<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
Packages that use <A HREF="../../../../../../com/theuberlab/njord/plugin/interfaces/NjordPluggable.html" title="interface in com.theuberlab.njord.plugin.interfaces">NjordPluggable</A></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><A HREF="#com.theuberlab.njord.plugin"><B>com.theuberlab.njord.plugin</B></A></TD>
<TD>The intent here is to make Njord support plugins for what it supports.&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><A HREF="#com.theuberlab.njord.plugin.interfaces"><B>com.theuberlab.njord.plugin.interfaces</B></A></TD>
<TD>This is where plugin specific interfaces will be defined.&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><A HREF="#com.theuberlab.njord.plugin.plugins"><B>com.theuberlab.njord.plugin.plugins</B></A></TD>
<TD>This is where all default plugins will be found.&nbsp;</TD>
</TR>
</TABLE>
&nbsp;
<P>
<A NAME="com.theuberlab.njord.plugin"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
Uses of <A HREF="../../../../../../com/theuberlab/njord/plugin/interfaces/NjordPluggable.html" title="interface in com.theuberlab.njord.plugin.interfaces">NjordPluggable</A> in <A HREF="../../../../../../com/theuberlab/njord/plugin/package-summary.html">com.theuberlab.njord.plugin</A></FONT></TH>
</TR>
</TABLE>
&nbsp;
<P>

<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left" COLSPAN="2">Fields in <A HREF="../../../../../../com/theuberlab/njord/plugin/package-summary.html">com.theuberlab.njord.plugin</A> with type parameters of type <A HREF="../../../../../../com/theuberlab/njord/plugin/interfaces/NjordPluggable.html" title="interface in com.theuberlab.njord.plugin.interfaces">NjordPluggable</A></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>(package private) &nbsp;java.util.Map&lt;java.lang.String,<A HREF="../../../../../../com/theuberlab/njord/plugin/interfaces/NjordPluggable.html" title="interface in com.theuberlab.njord.plugin.interfaces">NjordPluggable</A>&gt;</CODE></FONT></TD>
<TD><CODE><B>NjordPluginManager.</B><B><A HREF="../../../../../../com/theuberlab/njord/plugin/NjordPluginManager.html#plugins">plugins</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
</TABLE>
&nbsp;
<P>

<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left" COLSPAN="2">Methods in <A HREF="../../../../../../com/theuberlab/njord/plugin/package-summary.html">com.theuberlab.njord.plugin</A> that return <A HREF="../../../../../../com/theuberlab/njord/plugin/interfaces/NjordPluggable.html" title="interface in com.theuberlab.njord.plugin.interfaces">NjordPluggable</A></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="../../../../../../com/theuberlab/njord/plugin/interfaces/NjordPluggable.html" title="interface in com.theuberlab.njord.plugin.interfaces">NjordPluggable</A></CODE></FONT></TD>
<TD><CODE><B>NjordPluginManager.</B><B><A HREF="../../../../../../com/theuberlab/njord/plugin/NjordPluginManager.html#getPluginForCategory(java.lang.String)">getPluginForCategory</A></B>(java.lang.String&nbsp;category)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
</TABLE>
&nbsp;
<P>

<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left" COLSPAN="2">Methods in <A HREF="../../../../../../com/theuberlab/njord/plugin/package-summary.html">com.theuberlab.njord.plugin</A> that return types with arguments of type <A HREF="../../../../../../com/theuberlab/njord/plugin/interfaces/NjordPluggable.html" title="interface in com.theuberlab.njord.plugin.interfaces">NjordPluggable</A></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;java.util.Map&lt;java.lang.String,<A HREF="../../../../../../com/theuberlab/njord/plugin/interfaces/NjordPluggable.html" title="interface in com.theuberlab.njord.plugin.interfaces">NjordPluggable</A>&gt;</CODE></FONT></TD>
<TD><CODE><B>NjordPluginManager.</B><B><A HREF="../../../../../../com/theuberlab/njord/plugin/NjordPluginManager.html#getPlugins()">getPlugins</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>private &nbsp;java.util.List&lt;<A HREF="../../../../../../com/theuberlab/njord/plugin/interfaces/NjordPluggable.html" title="interface in com.theuberlab.njord.plugin.interfaces">NjordPluggable</A>&gt;</CODE></FONT></TD>
<TD><CODE><B>NjordPluginManager.</B><B><A HREF="../../../../../../com/theuberlab/njord/plugin/NjordPluginManager.html#registerPlugins()">registerPlugins</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;This will eventually be how I load the plugins from the plugins directory but it's not working right now.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>private &nbsp;java.util.Map&lt;java.lang.String,<A HREF="../../../../../../com/theuberlab/njord/plugin/interfaces/NjordPluggable.html" title="interface in com.theuberlab.njord.plugin.interfaces">NjordPluggable</A>&gt;</CODE></FONT></TD>
<TD><CODE><B>NjordPluginManager.</B><B><A HREF="../../../../../../com/theuberlab/njord/plugin/NjordPluginManager.html#registerPluginsTemp()">registerPluginsTemp</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;A bogus method until I get registerPlugins() working.</TD>
</TR>
</TABLE>
&nbsp;
<P>
<A NAME="com.theuberlab.njord.plugin.interfaces"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
Uses of <A HREF="../../../../../../com/theuberlab/njord/plugin/interfaces/NjordPluggable.html" title="interface in com.theuberlab.njord.plugin.interfaces">NjordPluggable</A> in <A HREF="../../../../../../com/theuberlab/njord/plugin/interfaces/package-summary.html">com.theuberlab.njord.plugin.interfaces</A></FONT></TH>
</TR>
</TABLE>
&nbsp;
<P>

<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left" COLSPAN="2">Methods in <A HREF="../../../../../../com/theuberlab/njord/plugin/interfaces/package-summary.html">com.theuberlab.njord.plugin.interfaces</A> that return types with arguments of type <A HREF="../../../../../../com/theuberlab/njord/plugin/interfaces/NjordPluggable.html" title="interface in com.theuberlab.njord.plugin.interfaces">NjordPluggable</A></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;java.util.List&lt;<A HREF="../../../../../../com/theuberlab/njord/plugin/interfaces/NjordPluggable.html" title="interface in com.theuberlab.njord.plugin.interfaces">NjordPluggable</A>&gt;</CODE></FONT></TD>
<TD><CODE><B>NjordPluggable.</B><B><A HREF="../../../../../../com/theuberlab/njord/plugin/interfaces/NjordPluggable.html#getList()">getList</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;The list of items to render in the list.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;java.util.List&lt;<A HREF="../../../../../../com/theuberlab/njord/plugin/interfaces/NjordPluggable.html" title="interface in com.theuberlab.njord.plugin.interfaces">NjordPluggable</A>&gt;</CODE></FONT></TD>
<TD><CODE><B>NjordPluggable.</B><B><A HREF="../../../../../../com/theuberlab/njord/plugin/interfaces/NjordPluggable.html#getLocalList()">getLocalList</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Same as getList but for local objects.</TD>
</TR>
</TABLE>
&nbsp;
<P>

<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left" COLSPAN="2">Methods in <A HREF="../../../../../../com/theuberlab/njord/plugin/interfaces/package-summary.html">com.theuberlab.njord.plugin.interfaces</A> with parameters of type <A HREF="../../../../../../com/theuberlab/njord/plugin/interfaces/NjordPluggable.html" title="interface in com.theuberlab.njord.plugin.interfaces">NjordPluggable</A></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;boolean</CODE></FONT></TD>
<TD><CODE><B>NjordPluggable.</B><B><A HREF="../../../../../../com/theuberlab/njord/plugin/interfaces/NjordPluggable.html#saveObject(com.theuberlab.njord.plugin.interfaces.NjordPluggable)">saveObject</A></B>(<A HREF="../../../../../../com/theuberlab/njord/plugin/interfaces/NjordPluggable.html" title="interface in com.theuberlab.njord.plugin.interfaces">NjordPluggable</A>&nbsp;object)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Writes the object both local or remote.</TD>
</TR>
</TABLE>
&nbsp;
<P>
<A NAME="com.theuberlab.njord.plugin.plugins"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
Uses of <A HREF="../../../../../../com/theuberlab/njord/plugin/interfaces/NjordPluggable.html" title="interface in com.theuberlab.njord.plugin.interfaces">NjordPluggable</A> in <A HREF="../../../../../../com/theuberlab/njord/plugin/plugins/package-summary.html">com.theuberlab.njord.plugin.plugins</A></FONT></TH>
</TR>
</TABLE>
&nbsp;
<P>

<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left" COLSPAN="2">Classes in <A HREF="../../../../../../com/theuberlab/njord/plugin/plugins/package-summary.html">com.theuberlab.njord.plugin.plugins</A> that implement <A HREF="../../../../../../com/theuberlab/njord/plugin/interfaces/NjordPluggable.html" title="interface in com.theuberlab.njord.plugin.interfaces">NjordPluggable</A></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;class</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../../com/theuberlab/njord/plugin/plugins/NjordiRulePlugin.html" title="class in com.theuberlab.njord.plugin.plugins">NjordiRulePlugin</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<code>NjordiRulePlugin</code>
 Hrm...</TD>
</TR>
</TABLE>
&nbsp;
<P>

<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left" COLSPAN="2">Methods in <A HREF="../../../../../../com/theuberlab/njord/plugin/plugins/package-summary.html">com.theuberlab.njord.plugin.plugins</A> that return types with arguments of type <A HREF="../../../../../../com/theuberlab/njord/plugin/interfaces/NjordPluggable.html" title="interface in com.theuberlab.njord.plugin.interfaces">NjordPluggable</A></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;java.util.List&lt;<A HREF="../../../../../../com/theuberlab/njord/plugin/interfaces/NjordPluggable.html" title="interface in com.theuberlab.njord.plugin.interfaces">NjordPluggable</A>&gt;</CODE></FONT></TD>
<TD><CODE><B>NjordiRulePlugin.</B><B><A HREF="../../../../../../com/theuberlab/njord/plugin/plugins/NjordiRulePlugin.html#getList()">getList</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;java.util.List&lt;<A HREF="../../../../../../com/theuberlab/njord/plugin/interfaces/NjordPluggable.html" title="interface in com.theuberlab.njord.plugin.interfaces">NjordPluggable</A>&gt;</CODE></FONT></TD>
<TD><CODE><B>NjordiRulePlugin.</B><B><A HREF="../../../../../../com/theuberlab/njord/plugin/plugins/NjordiRulePlugin.html#getLocalList()">getLocalList</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
</TABLE>
&nbsp;
<P>

<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left" COLSPAN="2">Methods in <A HREF="../../../../../../com/theuberlab/njord/plugin/plugins/package-summary.html">com.theuberlab.njord.plugin.plugins</A> with parameters of type <A HREF="../../../../../../com/theuberlab/njord/plugin/interfaces/NjordPluggable.html" title="interface in com.theuberlab.njord.plugin.interfaces">NjordPluggable</A></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;boolean</CODE></FONT></TD>
<TD><CODE><B>NjordiRulePlugin.</B><B><A HREF="../../../../../../com/theuberlab/njord/plugin/plugins/NjordiRulePlugin.html#saveObject(com.theuberlab.njord.plugin.interfaces.NjordPluggable)">saveObject</A></B>(<A HREF="../../../../../../com/theuberlab/njord/plugin/interfaces/NjordPluggable.html" title="interface in com.theuberlab.njord.plugin.interfaces">NjordPluggable</A>&nbsp;object)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
</TABLE>
&nbsp;
<P>
<HR>


<!-- ======= START OF BOTTOM NAVBAR ====== -->
<A NAME="navbar_bottom"><!-- --></A>
<A HREF="#skip-navbar_bottom" title="Skip navigation links"></A>
<TABLE BORDER="0" WIDTH="100%" CELLPADDING="1" CELLSPACING="0" SUMMARY="">
<TR>
<TD COLSPAN=2 BGCOLOR="#EEEEFF" CLASS="NavBarCell1">
<A NAME="navbar_bottom_firstrow"><!-- --></A>
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="3" SUMMARY="">
  <TR ALIGN="center" VALIGN="top">
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../../overview-summary.html"><FONT CLASS="NavBarFont1"><B>Overview</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../package-summary.html"><FONT CLASS="NavBarFont1"><B>Package</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../../com/theuberlab/njord/plugin/interfaces/NjordPluggable.html" title="interface in com.theuberlab.njord.plugin.interfaces"><FONT CLASS="NavBarFont1"><B>Class</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#FFFFFF" CLASS="NavBarCell1Rev"> &nbsp;<FONT CLASS="NavBarFont1Rev"><B>Use</B></FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../package-tree.html"><FONT CLASS="NavBarFont1"><B>Tree</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../../deprecated-list.html"><FONT CLASS="NavBarFont1"><B>Deprecated</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../../index-files/index-1.html"><FONT CLASS="NavBarFont1"><B>Index</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../../help-doc.html"><FONT CLASS="NavBarFont1"><B>Help</B></FONT></A>&nbsp;</TD>
  </TR>
</TABLE>
</TD>
<TD ALIGN="right" VALIGN="top" ROWSPAN=3><EM>
</EM>
</TD>
</TR>

<TR>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
&nbsp;PREV&nbsp;
&nbsp;NEXT</FONT></TD>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
  <A HREF="../../../../../../index.html?com/theuberlab/njord/plugin/interfaces/\class-useNjordPluggable.html" target="_top"><B>FRAMES</B></A>  &nbsp;
&nbsp;<A HREF="NjordPluggable.html" target="_top"><B>NO FRAMES</B></A>  &nbsp;
&nbsp;<SCRIPT type="text/javascript">
  <!--
  if(window==top) {
    document.writeln('<A HREF="../../../../../../allclasses-noframe.html"><B>All Classes</B></A>');
  }
  //-->
</SCRIPT>
<NOSCRIPT>
  <A HREF="../../../../../../allclasses-noframe.html"><B>All Classes</B></A>
</NOSCRIPT>


</FONT></TD>
</TR>
</TABLE>
<A NAME="skip-navbar_bottom"></A>
<!-- ======== END OF BOTTOM NAVBAR ======= -->

<HR>

</BODY>
</HTML>
